Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.console.utils
Class NavTreeExtensionBacking

    java.lang.Object
      PortletBackingFile
          com.bea.console.utils.NavTreeExtensionBacking

public class NavTreeExtensionBacking
extends PortletBackingFile

This class is the default implementation of a backing file for a navigation tree extension. It appends a link to a book or page at the end of the Administration Console's navigation tree.

To use this class, specify it as the value of the "backingFile" attribute in a <netuix:book> or <netuix:page> element, which is part of a portal include (.pinc) file. When the portal framework loads the book or page control, it creates a `PageBackingContext` object and a `String` to describe the control and its URL. Then it passes the two objects to this class's `getTreeExtension(PageBackingContext, String)` method.

To modify the default behavior:

1. Extend this class and override its `getTreeExtension(PageBackingContext, String)` method.
2. Specify your class as the value of the "backingFile" attribute in a <netuix:book> or <netuix:page> element.

See Also:
  com.bea.netuix.servlets.controls.page.PageBackingContext

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`NavTreeExtensionBacking()`

Method Summary
`NavTreeExtensionEvent` | `getTreeExtension(PageBackingContext ppCtx, String extensionUrl)` Appends a single control to the end of the navigation tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavTreeExtensionBacking

    public NavTreeExtensionBacking()

Method Detail

### getTreeExtension

    public NavTreeExtensionEvent getTreeExtension(PageBackingContext ppCtx,
                                                  String extensionUrl)

  Appends a single control to the end of the navigation tree.

  You can create a `NavTreeExtensionBacking` class that overrides this method. Your override must do the following:

  1. Construct one or more `TreeNode` objects. Each TreeNode describes a single node to add to the navigation tree. Some of the TreeNode constructors enable to you to specify a parent for the TreeNode instance, which enables you to create a node hierarchy.
  2. Construct one `NavTreeExtensionEvent` object, which describes your TreeNode object (or hierarchy of objects) and specifies a location within the existing navigation tree to append your node or node hierarchy. (You can also specify that your nodes replace an existing node.)
  3. Return the `NavTreeExtensionEvent` object.

  The portal framework broadcasts the `NavTreeExtensionEvent` event to a listener that causes your extension to be rendered.

  Parameters:
    `ppCtx` - The PageBackingContext that the portal framework passes to describe the book or page that it has loaded
    `extensionUrl` - The URL to the book or page. The portal framework passes this String when it loads the book or page
  Returns:
    evt A NavTreeExtensionEvent describing the extension to the navigation tree.
  See Also:
    com.bea.netuix.servlets.controls.page.PageBackingContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD